﻿using System;
using Microsoft.Phone.Controls;
using System.Windows.Controls;
using System.Windows.Navigation;

namespace MangoClient
{
    public partial class CocktailsPage : PhoneApplicationPage
    {
        public CocktailsPage()
        {
            InitializeComponent();
            DataContext = App.ViewModel;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            CocktailsList.SelectedIndex = -1;
            CocktailsList.ItemsSource = App.ViewModel.Cocktails;
        }

        private void CocktailsList_SelectionChanged(
            object sender, SelectionChangedEventArgs e)
        {
            if (CocktailsList.SelectedIndex != -1)
            {
                String navigationString = 
                    String.Format("/CocktailPage.xaml?ID={0}", 
                    ((Cocktail)CocktailsList.SelectedItem).ID);
                NavigationService.Navigate(
                    new System.Uri(navigationString, UriKind.Relative));
            }
        }
    }
}