﻿using System;
using System.Windows.Controls;
using Microsoft.Phone.Controls;
using System.Windows.Navigation;

namespace MangoClient
{
    public partial class FactsPage : PhoneApplicationPage
    {
        public FactsPage()
        {
            InitializeComponent();
            DataContext = App.ViewModel;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            FactsList.SelectedIndex = -1;
            FactsList.ItemsSource = App.ViewModel.Facts;
        }

        private void FactsList_SelectionChanged(
            object sender, SelectionChangedEventArgs e)
        {
            if (FactsList.SelectedIndex != -1)
            {
                String navigationString = 
                    String.Format("/FactPage.xaml?ID={0}", 
                    ((Fact)FactsList.SelectedItem).ID);
                NavigationService.Navigate(
                    new System.Uri(navigationString, UriKind.Relative));
            }
        }
    }
}