﻿using System;
using System.Windows.Controls;
using Microsoft.Phone.Controls;
using System.Windows.Navigation;

namespace MangoClient
{
    public partial class RecipesPage : PhoneApplicationPage
    {
        public RecipesPage()
        {
            InitializeComponent();
            DataContext = App.ViewModel;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            RecipesList.SelectedIndex = -1;
            RecipesList.ItemsSource = App.ViewModel.Recipes;
        }

        private void RecipesList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (RecipesList.SelectedIndex != -1)
            {
                String navigationString = String.Format("/RecipePage.xaml?ID={0}", ((Recipe)RecipesList.SelectedItem).ID);
                NavigationService.Navigate(new System.Uri(navigationString, UriKind.Relative));
            }
        }
    }
}